> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/labels/replace-client-labels-api-v-1-firms-firm-slug-clients-membership-id-labels-put/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Replace Client Labels PUT https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/clients/{membership_id}/labels Content-Type: application/json Replace all labels assigned to a firm client membership. Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/labels/replace-client-labels-api-v-1-firms-firm-slug-clients-membership-id-labels-put ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `membership_id` (integer, required) - `firm_slug` (string, required) ### Body (application/json) This endpoint expects a LabelAssignmentRequest. - `label_ids` (list of integer, optional) ## Response ### 200 Successful Response - `data` (LabelAssignmentResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### LabelAssignmentResponse - `labels` (list of LabelResponse, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### LabelResponse - `id` (integer, required) - `label` (string, required) - `color` (string, required) - `created_at` (datetime, optional, nullable) - `updated_at` (datetime, optional, nullable) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "labels": [ { "id": 1, "label": "string", "color": "string", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } ] }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/clients/1/labels")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```